Skip to main content
GET
/
automation
/
v4
/
actions
/
{appId}
/
{definitionId}
/
revisions
/
{revisionId}
Retrieve a specific revision of a definition
curl --request GET \
  --url 'https://api.hubapi.com/automation/v4/actions/{appId}/{definitionId}/revisions/{revisionId}?hapikey='
{
  "createdAt": "2023-11-07T05:31:56Z",
  "definition": {
    "actionUrl": "<string>",
    "functions": [
      {
        "functionType": "POST_ACTION_EXECUTION",
        "id": "<string>"
      }
    ],
    "id": "<string>",
    "inputFields": [
      {
        "isRequired": true,
        "typeDefinition": {
          "name": "<string>",
          "options": [
            {
              "label": "<string>",
              "value": "<string>",
              "description": "<string>",
              "displayOrder": 123
            }
          ],
          "type": "bool",
          "description": "<string>",
          "fieldType": "booleancheckbox",
          "helpText": "<string>",
          "label": "<string>",
          "optionsUrl": "<string>",
          "referencedObjectType": "OWNER"
        },
        "supportedValueTypes": [
          "STATIC_VALUE"
        ]
      }
    ],
    "labels": {},
    "objectTypes": [
      "<string>"
    ],
    "published": true,
    "revisionId": "<string>",
    "archivedAt": 123,
    "executionRules": [
      {
        "conditions": {},
        "labelName": "<string>"
      }
    ],
    "inputFieldDependencies": [
      {
        "controllingFieldName": "<string>",
        "dependencyType": "SINGLE_FIELD",
        "dependentFieldNames": [
          "<string>"
        ]
      }
    ],
    "objectRequestOptions": {
      "properties": [
        "<string>"
      ]
    },
    "outputFields": [
      {
        "typeDefinition": {
          "externalOptions": true,
          "name": "<string>",
          "options": [
            {
              "description": "<string>",
              "displayOrder": 123,
              "doubleData": 123,
              "hidden": true,
              "label": "<string>",
              "readOnly": true,
              "value": "<string>"
            }
          ],
          "schema": {
            "type": "INTEGER",
            "maximum": 123,
            "minimum": 123
          },
          "type": "bool",
          "useChirp": true,
          "description": "<string>",
          "externalOptionsReferenceType": "<string>",
          "fieldType": "booleancheckbox",
          "helpText": "<string>",
          "label": "<string>",
          "optionsUrl": "<string>",
          "referencedObjectType": "ABANDONED_CART"
        }
      }
    ]
  },
  "id": "<string>",
  "revisionId": "<string>"
}

Supported products

Authorizations

hapikey
string
query
required

Path Parameters

appId
integer<int32>
required
definitionId
string
required
revisionId
string
required

Response

successful operation

createdAt
string<date-time>
required

The date and time when the action revision was created.

definition
object
required
id
string
required

The unique identifier for the action revision.

revisionId
string
required

The unique identifier for the specific revision of the action.

Last modified on March 30, 2026